Roundup Tracker - Issues

Issue 2551353

classification
Add roundup-classhelper for 2.4.0 release
Type: rfe Severity: normal
Components: Web interface Versions: 2.4.0
process
Status: fixed fixed
:
: rouilj : rouilj
Priority: high : Blocker

Created on 2024-05-21 01:34 by rouilj, last changed 2024-05-27 21:09 by rouilj.

Messages
msg8056 Author: [hidden] (rouilj) Date: 2024-05-21 01:34
This addresses a number of issues with the classic classhelper. It does not address
issues with the calendar popup that uses the same basic classhelper mechanism.

https://github.com/UMB-CS-682-Team-03/tracker was created by a team at U-Mass Boston
to upgrade an existing classhelper link using a web component. It needs access
to the rest interface to operate and it needs web component support from the browser.
If either of these fails, the component will drop back to the classic classhelper.

Get this into the 2.4.0 release. Document by updating:

  upgrading.txt
  admin_guide.txt

install in classic tracker template. It doesn't look like it's used in the minimal
template to the jinja template. devel and responsive use it, but I want to get some
experience with it and I think the classic template is more heavily used.
msg8057 Author: [hidden] (rouilj) Date: 2024-05-22 22:58
Also user_guide.txt needs to be updated along with an image of it in use.
msg8058 Author: [hidden] (rouilj) Date: 2024-05-22 23:02
added rest endpoint /rest/data/user/roles so user doesn't have to use interfaces.py.
Because I am adding it to rest.py, I can control the order of application under
python3 at least so that the endpoint can live under the data/user endpoint.
msg8060 Author: [hidden] (rouilj) Date: 2024-05-22 23:36
test of endpoint works for python2 as well.
msg8075 Author: [hidden] (rouilj) Date: 2024-05-27 21:09
Done for now. If any issues are found, I'll open a new issue.
History
Date User Action Args
2024-05-27 21:09:25rouiljsetstatus: open -> fixed
resolution: fixed
messages: + msg8075
2024-05-22 23:36:37rouiljsetmessages: + msg8060
2024-05-22 23:02:52rouiljsetmessages: + msg8058
2024-05-22 22:58:42rouiljsetstatus: new -> open
type: rfe
messages: + msg8057
2024-05-21 01:34:11rouiljcreate